Products
Create product
Create a product, the thing you sell.
POST/v1/products
Parameters
| Parameter | Description |
|---|---|
| namestringrequired | At most 255 characters. |
| allow_promotion_codesbooleanoptional | Defaults to false. |
| descriptionstring | nulloptional | At most 2048 characters. |
| marketing_featuresarray of string | nulloptional | No description in the spec. |
| metadataobject | nulloptional | At most 50 keys. |
Returns
Returns a ProductResponse object.
Errors
| Status | Cause |
|---|---|
| 401 | Missing or invalid API key. |
| 403 | Key is missing the products:write scope. |
| 422 | Validation Error |
| 429 | Rate limited. Back off and retry. |
Other products operations
- List products GET /v1/products
- Get product GET /v1/products/{product_id}
- Update product POST /v1/products/{product_id}
BillKit